.header-picture {
  max-width: 33px;
  max-height: 33px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}

.chat {
  background-image: url(/chat-background.jpg);
  background-color: #E0DAD6;
  background-repeat: no-repeat;
  background-size: 100%;
}

.message-list {
  margin-top: 12px;
  padding: 0 5%;
}

.message-wrapper {
  margin-bottom: 9px;

  &::after {
    content: "";
    display: table;
    clear: both;
  }
}

.message {
  display: inline-block;
  position: relative;
  max-width: 236px;
  border-radius: 7px;
  box-shadow: 0 1px 2px rgba(0 , 0, 0, .15);

  &.message-mine {
    float: right;
    background-color: #DCF8C6;
  }

  &.message-other {
    float: left;
    background-color: #FFF
  }

  &.message-other::before, &.message-mine::before, {
    content: "";
    position: absolute;
    bottom: 3px;
    width: 12px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: contain;
  }

  &.message-other::before {
    left: -11px;
    background-image: url(/message-other.png);
  }

  &.message-mine::before {
    right: -11px;
    background-image: url(/message-mine.png);
  }

  .message-text {
    padding: 5px 7px;
    word-wrap: break-word;

    &::after {
      content: " \00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0";
      display: inline;
    }
  }

  .message-timestamp {
    position: absolute;
    bottom: 2px;
    right: 7px;
    color: gray;
    font-size: 12px;
  }
}

.footer-chat {
  .item-input-wrapper {
    background-color: #FFF;
  }

  .button.button-icon {
    margin: 0 10px;
  }

  .buttons-separator {
    color: gray;
    font-size: 18px;
    line-height: 32px;
  }
}
